package org.w3c.dom.html;

import org.w3c.dom.DOMException;

public interface HTMLTableRowElement extends HTMLElement
{
    public abstract int getRowIndex();
    
    public abstract int getSectionRowIndex();
    
    public abstract HTMLCollection getCells();
    
    public abstract String getAlign();
    
    public abstract void setAlign(String p0);
    
    public abstract String getBgColor();
    
    public abstract void setBgColor(String p0);
    
    public abstract String getCh();
    
    public abstract void setCh(String p0);
    
    public abstract String getChOff();
    
    public abstract void setChOff(String p0);
    
    public abstract String getVAlign();
    
    public abstract void setVAlign(String p0);
    
    public abstract HTMLElement insertCell(int p0) throws DOMException;
    
    public abstract void deleteCell(int p0) throws DOMException;
}
